Vcenter CertificateManagement Vcenter TrustedRootChains get

Vcenter CertificateManagement Vcenter TrustedRootChains get

Retrieve a trusted root certificate chain for a given identifier.

This operation was added in vSphere API 6.7.2.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{api_host}/api/vcenter/certificate-management/vcenter/trusted-root-chains/{chain}
COPY
Path Parameters
string
chain
Required

Unique identifier for a trusted root cert chain.


Authentication
This operation uses the following authentication methods.
Responses
200

TrustedRootChain.

{
    "cert_chain": {
        "cert_chain": [
            "string"
        ]
    }
}
cert_chain
Required

A certificate chain in base64 encoding

This property was added in vSphere API 6.7.2.


403

if authorization is not given to caller.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors Unauthorized0
"Vapi Std Errors Unauthorized Object"

404

if a trusted root certificate chain does not exist for given id.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors NotFound0
"Vapi Std Errors NotFound Object"

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/certificate-management/vcenter/trusted-root-chains/{chain}